[Overview][Types][Classes][Variables][Index] | Reference for unit 'AVL_Tree' (#fcl)

# TAVLTreeNodeEnumerator.MoveNext

Move to next node in the tree.

## Declaration

Source position: avl_tree.pp line 76

`public function TAVLTreeNodeEnumerator.MoveNext: Boolean;`

## Function result

Next node.

## Description

MoveNext will return the lowest node in the tree to start with, and for all other calls returns the successor node of the current node with TAVLTree.FindSuccessor.

## See also

TAVLTree.FindSuccessor |  | Find successor to node